Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationAncillary

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationAncillary

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationAncillary

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Ancillary', and utility methods for working with them. abstDomain: V10247 (C-0-D10901-V10247-cpt)

See Also:
  `CDAR2Package.getParticipationAncillary()`

Field Summary
`static int` | `ADM` The 'ADM' literal value.
`static ParticipationAncillary` | `ADM_LITERAL` The 'ADM' literal object.
`static int` | `ATND` The 'ATND' literal value.
`static ParticipationAncillary` | `ATND_LITERAL` The 'ATND' literal object.
`static int` | `CALLBCK` The 'CALLBCK' literal value.
`static ParticipationAncillary` | `CALLBCK_LITERAL` The 'CALLBCK' literal object.
`static int` | `CON` The 'CON' literal value.
`static ParticipationAncillary` | `CON_LITERAL` The 'CON' literal object.
`static int` | `DIS` The 'DIS' literal value.
`static ParticipationAncillary` | `DIS_LITERAL` The 'DIS' literal object.
`static int` | `ESC` The 'ESC' literal value.
`static ParticipationAncillary` | `ESC_LITERAL` The 'ESC' literal object.
`static int` | `REF` The 'REF' literal value.
`static ParticipationAncillary` | `REF_LITERAL` The 'REF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Ancillary' enumerators.

Method Summary
`static ParticipationAncillary` | `get(int value)` Returns the 'Participation Ancillary' literal with the specified integer value.
`static ParticipationAncillary` | `get(java.lang.String literal)` Returns the 'Participation Ancillary' literal with the specified literal value.
`static ParticipationAncillary` | `getByName(java.lang.String name)` Returns the 'Participation Ancillary' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADM

    public static final int ADM

  The 'ADM' literal value.

  If the meaning of 'ADM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADM_LITERAL`, Constant Field Values

### ATND

    public static final int ATND

  The 'ATND' literal value.

  If the meaning of 'ATND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ATND_LITERAL`, Constant Field Values

### CALLBCK

    public static final int CALLBCK

  The 'CALLBCK' literal value.

  If the meaning of 'CALLBCK' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CALLBCK_LITERAL`, Constant Field Values

### CON

    public static final int CON

  The 'CON' literal value.

  If the meaning of 'CON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CON_LITERAL`, Constant Field Values

### DIS

    public static final int DIS

  The 'DIS' literal value.

  If the meaning of 'DIS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIS_LITERAL`, Constant Field Values

### ESC

    public static final int ESC

  The 'ESC' literal value.

  If the meaning of 'ESC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ESC_LITERAL`, Constant Field Values

### REF

    public static final int REF

  The 'REF' literal value.

  If the meaning of 'REF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REF_LITERAL`, Constant Field Values

### ADM_LITERAL

    public static final ParticipationAncillary ADM_LITERAL

  The 'ADM' literal object.

  See Also:
    `ADM`

### ATND_LITERAL

    public static final ParticipationAncillary ATND_LITERAL

  The 'ATND' literal object.

  See Also:
    `ATND`

### CALLBCK_LITERAL

    public static final ParticipationAncillary CALLBCK_LITERAL

  The 'CALLBCK' literal object.

  See Also:
    `CALLBCK`

### CON_LITERAL

    public static final ParticipationAncillary CON_LITERAL

  The 'CON' literal object.

  See Also:
    `CON`

### DIS_LITERAL

    public static final ParticipationAncillary DIS_LITERAL

  The 'DIS' literal object.

  See Also:
    `DIS`

### ESC_LITERAL

    public static final ParticipationAncillary ESC_LITERAL

  The 'ESC' literal object.

  See Also:
    `ESC`

### REF_LITERAL

    public static final ParticipationAncillary REF_LITERAL

  The 'REF' literal object.

  See Also:
    `REF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Ancillary' enumerators.

Method Detail

### get

    public static ParticipationAncillary get(java.lang.String literal)

  Returns the 'Participation Ancillary' literal with the specified literal value.

### getByName

    public static ParticipationAncillary getByName(java.lang.String name)

  Returns the 'Participation Ancillary' literal with the specified name.

### get

    public static ParticipationAncillary get(int value)

  Returns the 'Participation Ancillary' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD